<?php get_header(); ?>
		<div id="content">
			<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<h2 class="post-title"><?php the_title(); ?></h2>
					<div class="entry-meta">
					<?php echo __('Posted by ', 'Pia');
					the_author_posts_link();
					echo __(' on ','Pia'); ?>
					<?php the_time(get_option('date_format')); ?> 
						<?php
							if ( wp_attachment_is_image() ) {
								echo ' | ';
								$metadata = wp_get_attachment_metadata();
								printf( __( 'Full size is %s pixels. ', 'Pia'),
									sprintf( '<a href="%1$s" title="%2$s">%3$s &times; %4$s</a>',
										wp_get_attachment_url(),
										esc_attr( __(' Link to full-size image. ', 'Pia') ),
										$metadata['width'],
										$metadata['height']
									)
								);
							}
						?>
						<?php edit_post_link( __( 'Edit', 'Pia' ), '<span class="page-edit-link">', '</span>' ); ?>
					</div>
					<div id="nav-below-attachment" class="navigation">
						<div class="nav-previous"><?php previous_image_link( false ); ?></div>
						<div class="nav-next"><?php next_image_link( false ); ?></div>
					</div>
					<br />
					<div class="entry-content">
					<?php if ( wp_attachment_is_image() ) :
					$attachments = array_values( get_children( array( 'post_parent' => $post->post_parent, 'post_status' => 'inherit', 
					'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID' ) ) );
					foreach ( $attachments as $k => $attachment ) {
						if ( $attachment->ID == $post->ID )
							break;
					}
					$k++;
					// If there is more than 1 image attachment in a gallery
					if ( count( $attachments ) > 1 ) {
						if ( isset( $attachments[ $k ] ) )
							// get the URL of the next image attachment
							$next_attachment_url = get_attachment_link( $attachments[ $k ]->ID );
						else
							// or get the URL of the first image attachment
							$next_attachment_url = get_attachment_link( $attachments[ 0 ]->ID );
					} else {
						// or, if there's only 1 image attachment, get the URL of the image
						$next_attachment_url = wp_get_attachment_url();
					}
					$attachment_size = apply_filters( 'Pia_attachment_size', 900 );
					echo wp_get_attachment_image( $post->ID, array( $attachment_size, 9999 ) ); // filterable image width with, essentially, no limit for image height.
						?>
						<div id="nav-below-attachment" class="navigation">
							<div class="nav-previous"><?php previous_image_link( false ); ?></div>
							<div class="nav-next"><?php next_image_link( false ); ?></div>
						</div>
				<?php else : ?>
						<a href="<?php echo wp_get_attachment_url(); ?>" rel="attachment"><?php echo basename( get_permalink() ); ?></a>
				<?php endif; ?>
						<div><?php if ( !empty( $post->post_excerpt ) ) the_excerpt(); ?></div>
				<?php the_content(); ?>
				<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'Pia' ), 'after' => '</div>' ) ); ?>
					</div>
				</div>
<?php comments_template( '', true );?>
<?php endwhile; ?>
</div>
<?php get_footer(); ?>