<?php get_header(); ?>
	<div id="container">
		<div id="content">
			<?php 	if ( have_posts() && strlen( trim(get_search_query()) ) != 0 ) { ?>
			<h1 class="tag-page-title"><?php printf( __( 'Search Results for: %s', 'Pia' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
				<?php while ( have_posts() ) : the_post();	?>	
					<div <?php post_class(); ?>>
						<div class="pia-date"><a href="<?php the_permalink(); ?>"><?php the_time('d') ?><br/><?php the_time('M') ?></a></div>
							<h2 class="front-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
							<?php Pia_meta();?>
							<div class="entry-content">
							<?php
							if ( has_post_thumbnail() ) { // check if the post has a Post Thumbnail assigned to it.
								the_post_thumbnail();
							}
							 the_content();	
							 wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'Pia' ), 'after' => '</div>' ) );
							 echo "<span class='clear'></span>";
							?>
						</div>
					</div>
				<?php
				endwhile; // End the loop. Whew. 
				?>
			<div id="nav-below" class="navigation">
				<div class="nav-previous"><?php previous_posts_link(__('&larr; Previous page','Pia')); ?></div>
				<div class="nav-next"><?php next_posts_link(__('Next page &rarr;', 'Pia')); ?></div>
			</div>
<?php } else { ?>
			<div class="post no-results not-found">
				<h2 class="post-title"><?php _e( 'Nothing Found', 'Pia' ); ?></h2>
				<div class="entry-content">
					<p><?php _e( 'Sorry, but nothing matched your search criteria. Please try again with some different keywords.', 'Pia' ); ?></p>
					<?php get_search_form(); ?>
				</div>
			</div>
<?php } ?>
		</div>
	</div>
<?php get_footer(); ?>