<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title>
<?php wp_title( '|', true, 'right' );	?>
</title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php wp_head(); ?>
</head>
<body <?php body_class();?>>
<a href="#content" class="keyboard-shortcut"><?php _e( 'Skip to content', 'Pia' ); ?></a>
<div class="wrapper">
	<div id="header" role="banner">
		<h1 id="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
		<h2 id="site-description"><?php bloginfo( 'description' ); ?></h2>
		<?php if ( has_nav_menu( 'primary' ) ) {	?>
				<div id="menu" role="navigation"><?php wp_nav_menu( array( 'container_class' => 'menu-header', 'theme_location' => 'primary', 'depth' => '3', 'fallback_cb' => false ) ); ?></div>
		<?php
		}
		?>
	</div>
	<div id="main" role="main">